package com.boman.web.core.domain;

import com.boman.domain.BaseEntity;
import com.boman.domain.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 中考下发短信日志对象 send_sms
 * 
 * @author boman
 * @date 2022-07-11
 */
public class SendSms extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 发送的手机号 */
    @Excel(name = "手机号")
    private String phone;
    /**
     * 准考证号码
     */
    @Excel(name = "准考证号码")
    private String ticketId;
    /**
     * 姓名
     */
    @Excel(name = "姓名")
    private String name;

    /**
     *录取结果
     */
    @Excel(name = "录取结果")
    private String result;



    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 发送内容 */
    @Excel(name = "发送内容")
    private String content;

    /** 修改时间 */
    private String modifyDate;

    /**
     * 模板名称
     */
    private String templateName;

    /** 是否删除 */
    private String isDel;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getTicketId() {
        return ticketId;
    }

    public void setTicketId(String ticketId) {
        this.ticketId = ticketId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setModifyDate(String modifyDate) 
    {
        this.modifyDate = modifyDate;
    }

    public String getModifyDate() 
    {
        return modifyDate;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("phone", getPhone())
            .append("status", getStatus())
            .append("content", getContent())
            .append("modifyDate", getModifyDate())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
